Class | Bio::PSORT::PSORT1::Remote
In: | lib/bio/appl/psort.rb
Parent: | CGIDriver

# Bio::PSORT::PSORT1::Remote

PSORT1 specific CGIDriver.

### Methods

new

### Attributes

origin

[RW]

Accessor for Bio::PSORT::PSORT1::Remote#origin to contein target domain. Taget domains:

1. Gram-positive bacterium
2. Gram-negative bacterium
3. yeast
4. animal
5. plant

parsing | [RW] | Accessor for Bio::PSORT::PSORT1#title to contain the query title.
title | [RW] | Accessor for Bio::POSRT::PSORT1#sequence to contein the query sequence.

### Public Class methods

new(host, path = nil, title = 'MYSEQ', origin = 'yeast')

Sets remote ``host’’ and cgi ``path’’.

[Source]

         # File lib/bio/appl/psort.rb, line 266
    266:         def initialize(host, path = nil, title = 'MYSEQ', origin = 'yeast')
    267:           @title   = title
    268:           @origin  = origin
    269:           @parsing = true
    270:           super(host, path)
    271:         end

[Validate]